Skip to main content
POST
Create or change custom offer

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

consumer
integer
required

Consumer account ID.

Body

application/json
negotiation_type
enum<string> | null
required
Available options:
pif,
installment,
null
amount
string
required

Consumer-entered offer amount. For installment offers this is the periodic amount for the selected installment_type.

Example:

"50.00"

first_pay_date
string<date>
required
Example:

"2026-06-10"

installment_type
enum<string> | null
Available options:
weekly,
bimonthly,
monthly,
null
reason
string | null
note
string | null
Maximum string length: 255
action_context
object

Response

Custom offer accepted or sent.

message
string
required
Examples:

"Settlement offer created."

"Payment plan offer created."

"Custom offer accepted."

"Custom offer sent."

"Creditor offer accepted."

"Counter offer sent."

data
object
required
Last modified on July 19, 2026